aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts/get_all_bazel_paths.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/get_all_bazel_paths.sh')
-rwxr-xr-xscripts/get_all_bazel_paths.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/scripts/get_all_bazel_paths.sh b/scripts/get_all_bazel_paths.sh
index c945ea0a08..b64ff407e2 100755
--- a/scripts/get_all_bazel_paths.sh
+++ b/scripts/get_all_bazel_paths.sh
@@ -25,8 +25,12 @@ function query() {
}
# Compile bazel
-([ -f "output/bazel" ] && [ -f "tools/jdk/JavaBuilder_deploy.jar" ] && [ -f "tools/jdk/ijar" ] \
- && [ -f "tools/jdk/SingleJar_deploy.jar" ] && [ -e "tools/jdk/jdk" ]) || ./compile.sh >&2 || exit $?
+([ -f "output/bazel" ] \
+ && [ -f "tools/jdk/JavaBuilder_deploy.jar" ] \
+ && [ -f "tools/jdk/ijar" ] \
+ && [ -f "tools/jdk/SingleJar_deploy.jar" ] \
+ && [ -f "tools/jdk/GenClass_deploy.jar" ] \
+ && [ -e "tools/jdk/jdk" ]) || ./compile.sh >&2 || exit $?
# Build almost everything.
# //third_party/ijar/test/... is disabled due to #273.